; --------------------------------------------------------------------------
; MODO NORMAL
;
; Este modo ganha controle quando o jump JP1 estiver presente, isto e',
; quando o pino JP1 do port JP1_PORT estiver em nivel baixo (ground).
;
; Permanece neste loop e, quando o botao de acerto for pressionado,
; passa o controle para a rotina de acerto das horas.
;
; --------------------------------------------------------------------------
watch_show
loop      btfsc   FLAGS,DS1302_KEY               ; RTC DS1302 ocupado???
          goto    loop                           ; SIM -->  espera liberar o DS1302
          movlw   seg                            ; NAO --> endereco do inicio do buffer
          movwf   FSR                            ; carrega o indexador
          bsf     FLAGS,DS1302_KEY               ; reserva o DS1302
          call    DS1302_GET                     ; leitura do RTC
          bcf     FLAGS,DS1302_KEY               ; libera o DS1302
          btfsc   FLAGS,ACMOD                    ; modanca de modo??? (interrupcao RB0)
          goto    modo_acerto                    ; SIM --> muda para modo de acerto
          movlw   .50                            ; NAO --> tempo em milisegundos
          call    delay_ms                       ; debounce         
          goto    loop

